FROM node:16 as development
WORKDIR /usr/src/app

COPY . .
RUN yarn install
RUN npx prisma generate

RUN npx nx run message-consumer:build:production

# TODO: figure out how to run this in the container in alpine
# atm can't use the alpine image yet for production as prisma migrate(database migration) needs prisma cli

# FROM node:16-alpine as production
# ARG NODE_ENV=production
# ENV NODE_ENV=${NODE_ENV}
# WORKDIR /usr/src/app
# COPY package.json yarn.lock ./
# RUN yarn install --production
# COPY . .
# COPY --from=development /usr/src/app/dist ./dist

CMD ["npx", "nx", "run", "message-consumer:start-prod"]

